
{SelfLIGHTING Headlights}

[INCLUDE: common/selflighting.ini]

[SelfLight_Headlights]
BOUND_TO = EXT_WHITE_SUPREME_BULBS
POSITION=0, 0.473, 1.92
MIRROR= 0.562
SPOT=80
RANGE=0.15
RANGE_GRADIENT_OFFSET = 0.9
COLOR=1,1,1,170
BOUND_EMISSIVE_MAX = 1

[SelfLight_Headlights]
BOUND_TO = EXT_AMBER_FRONT_RIGHT_BULB
POSITION=-0.659, 0.484, 1.92
SPOT=110
RANGE=0.13
RANGE_GRADIENT_OFFSET = 0.9
COLOR=2,1,1,200
BOUND_EMISSIVE_MAX = 1

[SelfLight_Headlights]
BOUND_TO = EXT_AMBER_FRONT_LEFT_BULB
POSITION=0.654, 0.484, 1.92
SPOT=110
RANGE=0.13
RANGE_GRADIENT_OFFSET = 0.9
COLOR=2,1,1,200
BOUND_EMISSIVE_MAX = 1

-------------------------


{Miscellaneous}
 
Headlights
[LIGHT_HEADLIGHT_0]
LOWBEAM_RANGE_MAX=80
LOWBEAM_RANGE_MULT = 0.9
COLOR=1, 0.871429, 0.807143, 7
AMBIENT_INFLUENCE = 0.85

    {EMISSIVE}

[EMISSIVE_LIGHT_...]
NAME = EXT_BULB_RIGHT,EXT_BULB_LEFT
COLOR = 2.5,2.5,2,13
FALLBACK_HEADLIGHTS_COLOR=2.5,2.5,2,13
FALLBACK_HIGHBEAM_COLOR=2.5,2.5,2,13
FALLBACK_LOWBEAM_COLOR=4,4,2,10
LAG=0.7
SIMULATE_HEATING=3
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME = EXT_WHITE_SUPREME_BULBS
COLOR = 1.8,1.5,1.5,14
LAG=0.7
SIMULATE_HEATING=3
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME = EXT_SWITCHISANIDIOT
COLOR = 1,1,1,134
LAG=0.7
SIMULATE_HEATING=3
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME=EXT_LISCENSEPLATE_LIGHT
COLOR=25,21,12 ,0.7
FALLBACK_HEADLIGHTS_COLOR=25,21,12 ,0.7
FALLBACK_HIGHBEAM_COLOR=25,21,12 ,0.7
FALLBACK_LOWBEAM_COLOR=25,21,12 ,0.7
LAG=0.7
SIMULATE_HEATING=3
LOCATION=REAR
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_...]
NAME = INT_RPM_TRANS,INT_SPEED_TRANS,INT_GAUGE_THREESOME_TRANS, 
COLOR=100,10,0,0.8
FALLBACK_HEADLIGHTS_COLOR=100,10,0,31
BIND_TO_EXTRA_A=1
LAG = 0.5

[EMISSIVE_LIGHT_...]
NAME = INT_STICKERS_01, INT_STICKERS_03, INT_PLASTIC.001
COLOR=100,10,0,0.1
FALLBACK_HEADLIGHTS_COLOR=100,10,0,31
BIND_TO_EXTRA_A=1
LAG = 0.5

[EMISSIVE_LIGHT_...]
NAME = INT_STICKERS_01.001
COLOR=00,10,10,0.1
FALLBACK_HEADLIGHTS_COLOR=100,10,0,31
BIND_TO_EXTRA_A=1
LAG = 0.5

[EMISSIVE_LIGHT_...]
NAME = INT_SPEED_RED,INT_FUEL_RED,INT_COOLANT_RED,INT_BOOST_RED,INT_RPM_RED
COLOR=100,10,0,0.1
FALLBACK_HEADLIGHTS_COLOR=100,10,0,3
BIND_TO_EXTRA_A=1
LAG = 0.5

[EMISSIVE_LIGHT_...]
NAME = 295
COLOR=220,125,0,0.01
FALLBACK_HEADLIGHTS_COLOR=10,10,10,0.1
BIND_TO_EXTRA_A=1
LAG = 0.5

[EMISSIVE_BRAKE_0]
NAME = EXT_BRAKE_BULB ; name (one or more) of a mesh to glow
COLOR = 220,125,0,5
OFF_COLOR= 0,0,0
LAG=0.7
LOCATION = REAR
FALLBACK_HEADLIGHTS_COLOR = 255,160,0,0.6
CAST_LIGHT = 1

[EMISSIVE_BRAKE_1]
NAME = EXT_MIDDLE_LIGHT_CHROME ; name (one or more) of a mesh to glow
COLOR = 220,1,0,5
OFF_COLOR= 0,0,0
LAG=0.7
LOCATION = REAR
FALLBACK_HEADLIGHTS_COLOR = 0,0,0
CAST_LIGHT = 1

[EMISSIVE_TURNSIGNAL_LEFT_0]
NAME=EXT_AMBER_FRONT_LEFT_BULB, EXT_SWITCHISANIDIOTVSPEC
COLOR=300,150,0
LAG=0.2706
SIMULATE_HEATING=0.0
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_LEFT_...]
NAME=EXT_AMBER_FRONT_LEFT,EXT_BLINKL_BULB
COLOR=300,150,0
LAG=0.7
SIMULATE_HEATING=0.0
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_LEFT_1]
NAME=INT_BLINKER_LEFT
COLOR=9, 18, 0, 0.5
LAG=0.7
SIMULATE_HEATING=0.0
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_0]
NAME=EXT_BLINKR_BULB,EXT_AMBER_FRONT_RIGHT
COLOR=300,150,0
LAG=0.7
SIMULATE_HEATING=0.0
LOCATION=REAR


[EMISSIVE_TURNSIGNAL_RIGHT_...]
NAME=EXT_AMBER_FRONT_RIGHT_BULB, EXT_SWITCHISANIDIOTVSPECIINUR
COLOR=300,150,0
LAG=0.2706
SIMULATE_HEATING=0.0
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_RIGHT_1]
NAME=INT_BLINKER_RIGHT
COLOR=9, 18, 0, 0.5
LAG=0.7
SIMULATE_HEATING=0.0
LOCATION=NONE

[EMISSIVE_REVERSE_0]
NAME=44_T
INPUT= REVERSE
COLOR=150,150,100
LAG=0.7
SIMULATE_HEATING=0.0
LOCATION=REAR

;Extra emissive
[EMISSIVE_EXTRA_A_1]
AMBIENT_INFLUENCE = 0.2
BIND_TO_EXTRA_A=0
BIND_TO_HEADLIGHTS=0
NAME=EXT_RX7_SUB48
COLOR=30,29,28.5,10
FALLBACK_HEADLIGHTS_COLOR=0,0,0
LAG=0.5
SIMULATE_HEATING=0.5
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_EXTRA_A_...]
AMBIENT_INFLUENCE = 0.2
BIND_TO_EXTRA_A=1
BIND_TO_HEADLIGHTS=0
NAME=INT_VISIBLE_GAUGE
COLOR=4,2,1,4.5
FALLBACK_HEADLIGHTS_COLOR=1,1,1,1
LAG=0.5
SIMULATE_HEATING=0.5
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5
-------------------------------------------------------